Name:           gargoyle-free
Epoch:          1
Version:        2011.1
Release:        %mkrel 8
Summary:        Graphical player for Interactive Fiction games
Group:          Games/Adventure
License:        GPLv2 and others
URL:            http://ccxvii.net/gargoyle/
Source0:        gargoyle-2011.1-freesources.tar.xz
Source1:        README.mageia
Patch0:         gargoyle-2011.1-mga-deb-fhs-locate-private-binaries.patch
Patch1:         gargoyle-2011.1-mga-libertine-font-name.patch
Patch2:         gargoyle-2011.1-mga-desktop-icon-name.patch

BuildRequires:  freetype-devel
BuildRequires:  ftjam
BuildRequires:  jpeg-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  SDL_sound-devel
BuildRequires:  smpeg-devel
Requires:       fonts-ttf-liberation
Requires:       fonts-ttf-libertine

%description
Gargoyle is an Interactive Fiction (text adventure) player that supports all
the major interactive fiction formats.

Most interactive fiction is distributed as portable game files. These portable
game files come in many formats. In the past, you used to have to download a
separate player (interpreter) for each format of IF you wanted to play.
Instead, Gargoyle provides an unified player.

Gargoyle is based on the standard interpreters for the formats it supports:
Adrift, AdvSys, AGiliTy, Alan2, Alan3, Quest, JACL, Level 9, Magnetic, TADS2,
TADS3, Z-code and Glulxe.

Gargoyle also features graphics, sounds and Unicode support.

You can find hundreds of games at :
- the IF database : http://ifdb.tads.org
- the IF archive : http://ifarchive.org

Limitations:
* This free version of gargoyle does not include the non-free Hugo
interpreter (and uses different free fonts).
* The TADS interpreter doesn't support HTML TADS; you can play the games, but
will miss the hyperlinks.

%prep
%setup -q -c %{name}-%{version}
%apply_patches
cp %{SOURCE1} .

%build
# Tell 'jam' to statically link private libraries; the convenience
# library is pretty small and it's much simpler in jam than trying to
# install to a private library prefix directory (would be
# %%_libdir/gargoyle-free) - or using a LD_LIBRARY_PATH wrapper.

jam -sSTATIC=1 \
    -s_BINDIR=%{_gamesbindir} \
    -s_LIBDIR=%{_libdir}/%{name} \
    -s_APPDIR=%{_libexecdir}/%{name} \
    -sLDFLAGS="%{ldflags}" \
    -sMAKE_HUGO=no \
    -sBUNDLEFONTS=no \
    %{_smp_mflags}

%install
jam install -sSTATIC=1 \
            -sDESTDIR=%{buildroot} \
            -s_BINDIR=%{_gamesbindir} \
            -s_LIBDIR=%{_libdir}/%{name} \
            -s_APPDIR=%{_libexecdir}/%{name} \
            -sMAKE_HUGO=no \
            -sBUNDLEFONTS=no

install -D -m644 garglk/gargoyle.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 garglk/gargoyle-house.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/gargoyle.png
install -D -m644 garglk/garglk.ini %{buildroot}%{_sysconfdir}/garglk.ini

%files
%doc README.mageia License.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/*
%{_iconsdir}/hicolor/32x32/apps/gargoyle.png
%{_libexecdir}/%{name}
%config %{_sysconfdir}/garglk.ini


%changelog
* Mon Jan 12 2015 akien <akien> 1:2011.1-8.mga5
+ Revision: 810055
- Fix icon name

* Mon Jan 12 2015 akien <akien> 1:2011.1-7.mga5
+ Revision: 810033
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 1:2011.1-6.r619.3.mga5
+ Revision: 747216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2011.1-6.r619.2.mga5
+ Revision: 679416
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 akien <akien> 1:2011.1-6.r619.1.mga5
+ Revision: 672126
+ rebuild (emptylog)

* Thu Sep 04 2014 akien <akien> 1:2011.1-5.mga5
+ Revision: 672115
- Install missing desktop entry, icon and mandatory config file
- Fix Debian patch to point to the correct %%_libexecdir
- Use a static build to circumvent linking issues

* Mon Oct 21 2013 umeabot <umeabot> 1:2011.1-4.mga4
+ Revision: 539294
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 akien <akien> 1:2011.1-3.mga4
+ Revision: 486626
- Proper archive for 2011.1 without nonfree content
- Use of pkgconfig in BRs when possible
- Updated README.mageia
- Reverted changes to "ignore_bundled_libraries.patch"
- New repacked archive adapted to version 2011.1
- Fixed mixed use of tabs and spaces
- Now one line per BR
- Added support for Alan2 and Alan3 (now under the Artistic License 2.0)
- Repacked the archive to remove nonfree content
- Fixed patch "ignore_bundled_libraries.patch"

* Mon Jun 03 2013 fwang <fwang> 1:2011.1-2.mga4
+ Revision: 435903
- rebuild for new libpng

* Wed Feb 27 2013 fwang <fwang> 1:2011.1-1.mga3
+ Revision: 400470
- add dir
- update file list
- update file list
- link m
- more link
- fix linkage
- update switches
- update switch
- update build script
- add epoch to fix upgrading
- new version 2011.1

* Wed Feb 27 2013 fwang <fwang> 20090825-8.mga3
+ Revision: 400448
- use ldflags

* Wed Feb 27 2013 fwang <fwang> 20090825-7.mga3
+ Revision: 400444
- fix linkage

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Tue Sep 20 2011 fwang <fwang> 20090825-5.mga2
+ Revision: 145980
- fix typo
- fix build with latest libpng 1.5

* Wed Jan 26 2011 stormi <stormi> 20090825-5.mga1
+ Revision: 41517
- mgaification
- imported package gargoyle-free

